Product Version: *   

Description

In the phase one, morpho will still use Metacat query interface for the searching, but the other action will use the data one API:

Work with multiple MNs, but choose one as active MN for create(). Morpho still uses Metacat API to search

User selects 'Active' Member node from dropdown list in settings; list generated from Node service; or enter baseurl

If MN is metacat, use metacat API to search

** Metacat search API only returns metacat docids (scope.docid.rev) not the DataONE PIDs

** Issue: how to get ahold of the PID rather than the localID so get()/create()/update() can be called

If MN is not metacat, disable network search, only allow local open

For create

Create on the active MN, set authMN to the active node id

For update/delete

If a user has rights to call update()/delete() on the AUthoritative node, and a write permission on an object, they can update/delete on

the AuthNode

-- 3 checks have to pass: userHasWrite on object, user has execute on service, and authMN is available for object

If authMN is not available, don't do update()

Subtasks:

Task # 3075: Morpho needs new data file managment system and the local identifier autho... Closed

  Task # 3077: Morpho file name convention and the mapping between the file name and iden... Closed

  Task # 3079: Morpho needs a local unique id generator Closed

  Task # 3090: New design for morpho profile Closed

  Task # 3111: Need a new page for replication information in package wizard Closed

Task # 3081: Modify the morpho setting to allow user choose or input the active dataone... Closed

Task # 3083: Get PIDs from metacat query result Rejected

Task # 3096: Implment login/logout methods Closed

Task # 3097: Implement insert and read methods Rejected

Task # 3098: Implment the update and delete methods Rejected

Task # 3103: The design to modify the AbstractDataPackage class Closed

Task # 3107: Need a mechanism to keep track the identifer's history (revision) Closed

Task # 3167: Add d1_ common_java and d1_libclient_java and their depency jar Closed

History

#1 - 2012-10-11 15:33 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#2 - 2012-10-24 18:20 - Ben Leinfelder

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#3 - 2012-12-12 16:51 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4
#4 - 2013-03-01 18:33 - Ben Leinfelder

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#5 - 2013-03-25 22:48 - Ben Leinfelder

- Parent task deleted (#2840)

- Assignee set to Ben Leinfelder

#6 - 2013-03-25 22:54 - Ben Leinfelder

- Status changed from New to Closed
